@extends('admin.layout.app')

@section('more-head')
<link rel="stylesheet" type="text/css" href="{{asset('admin/bower_components/select2/dist/css/select2.min.css')}}">
<link rel="stylesheet" href="{{asset('admin/dist/css/AdminLTE.min.css')}}">
@endsection

@section('main-content')

<section class="content-header">
	<h1>
		Shipment  
	</h1>

</section>

<section class="content">

	<!-- Default box -->
	<div class="box">
		<div class="box-header with-border">
			<h3 class="box-title">Shipment  </h3>

			<div class="box-tools pull-right">
				<button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip"
				title="Collapse">
				<i class="fa fa-minus"></i></button>

			</div>
		</div>
		@include('includes.messages')
		<form role="form" method="post" action="{{ route('shipment.store') }}" enctype="multipart/form-data" id="myFormId">
			{{csrf_field()}} 
			<div class="box-body">
				<div class=" col-md-offset-0 col-md-6">
					<div class="form-group">
						<div class="col-md-8">
							<label for="contract_id" class="col-md-4 control-label"><br>Select Contract:</label>
							<select id="contract_id" class="form-control select2" data-placeholder="Select Roles"
							style="width: 100%;" name="contract_id" required>
							<option value="0"selected disabled>Select Contract:</option>
							@foreach ($facs as $fac)
							<option value="{{$fac->contract->id}}">{{$fac->contract->number}}</option>
							@endforeach

						</select>
					</div>
					@foreach ($facs as $fac)
					<input type="hidden" id="fac_id_{{$fac->contract->id}}" value="{{$fac->id}}">
					@endforeach
				</div>
				<div class="col-md-8">
					<br> 
					<div class="form-group">
						<label for="invoice_number"> Invoice number</label>
						<input type="text" class="form-control" id="invoice_number" name="invoice_number" placeholder="GC Number  " >
					</div>

				</div> 
				<!--<div class="col-md-8">
					<div class="form-group">
						<label for="reference_number"> Reference Number</label>
						<input type="text" class="form-control" id="reference_number" name="reference_number" placeholder="shipment  ">
					</div>

				</div> -->
				<div class="col-md-8">
					<br>
					<label for="invoice_date"> Invoice date</label>
					<div class="form-group">
						<input type="date" class="form-control" name="invoice_date" id="invoice_date">
					</div>

				</div>
				<div class="col-md-8">
					<div class="form-group">
						<label for="insurance_number"> Insurance Number</label>
						<input type="text" class="form-control" id="insurance_number" name="insurance_number" placeholder="shipment  ">
					</div>

				</div>

				<div class="col-md-8">
					<div class="form-group">
						<label for="tonnage_shipped">Tonnage Shipped</label>
						<input type="number" class="form-control" id="tonnage_shipped" name="tonnage_shipped" placeholder="tonnage shipment" step="0.001">
					</div>
					<div>Total tonnage on Contract: <span id="tg" style="color: red; font-weight: bold;"></span> <input type="hidden" id="tgv"> </div> 
					<div>Total tonnage Shipped: <span id="ts" style="color: red; font-weight: bold;"></span> <input type="hidden" id="tsv"> </div> <br>
					<div> Tonnage remaining: <span id="tr" style="color: red; font-weight: bold;"></span> <input type="hidden" id="tr"> </div> <br>
				</div>

				<div class="col-md-8 bl">
					<div class="form-group">
						<label for="bl_rate"> Freight Exchange Rate</label>
						<input type="number" step="0.0001" class="form-control" id="bl_rate" name="bl_rate" placeholder="shipment  bl_rate ">
					</div>

				</div>

				<div class="form-group">
					<div class="col-md-8">
						<label for="vessel_id" class="col-md-4 control-label"><br>Select vessel:</label>
						<select id="vessel_id" class="form-control select2" data-placeholder="Select Roles"
						style="width: 100%;" name="vessel_id">
						@foreach ($vessels as $vessel)
						<option value="{{$vessel->id}}">{{$vessel->name}}</option>
						@endforeach

					</select>
				</div>
			</div>
			<div class="form-group">
				<div class="col-md-8">
					<label for="shippingmode_id" class="col-md-4 control-label"><br>Select Shipping Mode:</label>
					<select id="shippingmode_id" class="form-control select2" data-placeholder="Select Roles"
					style="width: 100%;" name="shippingmode_id">
					@foreach ($shippingmodes as $shippingmode)
					<option value="{{$shippingmode->id}}">{{$shippingmode->name}}</option>
					@endforeach

				</select>
			</div>
		</div>

		<div class="col-md-8 bl">
			<div class="form-group">
				<label for="bill_of_laden_number"> <br> Bill of Laden number</label>
				<input type="text" class="form-control" id="bill_of_laden_number" name="bill_of_laden_number" placeholder="shipment  bill_of_laden_number">
			</div>

		</div>

		<div class="col-md-8 bl">
			<label for="bill_of_laden_date"> Bill of Laden Date</label>
			<div class="form-group">
				<input type="date" class="form-control" name="bill_of_laden_date" id="bill_of_laden_date">
			</div>

		</div>

		<div class="form-group">
			<div class="col-md-8">
				<label for="loadingport_id" class="col-md-4 control-label"><br>Select Loading Port:</label>
				<select id="loadingport_id" class="form-control select2" data-placeholder="Select Roles"
				style="width: 100%;" name="loadingport_id">
				@foreach ($loadingports as $loadingport)
				<option value="{{$loadingport->id}}">{{$loadingport->name}}</option>
				@endforeach

			</select>
		</div>
	</div>



	<div class="form-group">
		<div class="col-md-8">
			<label for="consignor_id" class="col-md-4 control-label"> <br> Select Consignor</label>
			<select id="consignor_id" class="form-control select2" data-placeholder="Select Roles"
			style="width: 100%;" name="consignor_id">
			@foreach ($consignors as $consignor)
			<option value="{{$consignor->id}}">{{$consignor->name}}</option>
			@endforeach

		</select>
	</div>
</div>

<div class="col-md-8">
	<label for="name"> Remarks</label>
	<div class="form-group">
		<textarea class="form-control" name="remarks" id="remarks" style="height: 100px;" ></textarea>
	</div>

</div>
<div class="col-md-8">
	<label for="name"> Additional Remarks</label>
	<div class="form-group">
		<textarea class="form-control" name="additional_remarks" id="additional_remarks" style="height: 100px;" ></textarea>
	</div>

</div>

<div class="form-group">
	<div class="col-md-8">
		<label for="warehouse_charges" class="col-md-4 control-label"><br>Applicable Warehouse Charges:</label>
		<select id="warehouse_charges" class="form-control select2" data-placeholder="Select Roles"
		style="width: 100%;" name="warehouse_charges">
		<option value="no" selected>No</option>
		<option value="yes">Yes</option>
	</select>
</div>
</div>


</div>
</div>

<!-- /.box-body -->
<div class="box-footer">
	<button type="submit" id="verify_submit" class="btn btn-primary">Submit</button>
</div>
</form>
<!-- /.box-footer-->
</div>
<!-- /.box -->

</section>

@endsection

@section('more-scripts')
<!-- Select2 -->
<script src="{{asset('admin/bower_components/select2/dist/js/select2.full.min.js')}}"></script>

<script>
	$(function () {
    //alert('hello world');

    $('.select2').select2()

    $.ajaxSetup({

    	headers: {

    		'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')

    	}

    });


    $('#contract_id').on('change', function(event) {
    	// alert("contract_id");
    	contract_id = $('#contract_id').val();
    	fac_id = $('#fac_id_'+contract_id).val();
    	//alert(fac_id)
    	// $.ajax({
    		// url:  '{{--URL::to('/get/contract/tonnage/')--}}' +'/'+contract_id, 
    	// 	type: 'GET',

    	// })
    	// .done(function(data) {
    	// 	ct = data
    	// 	$('#tg').html(ct)
    	// 	$('#tgv').val(ct)

    	// 	console.log(data);
    	// })

    	// $.ajax({
    	// 	url: '{{--URL::to('/get/tonnage/shipped/')--}}' +'/'+contract_id,   
    	// 	type: 'GET',

    	// })
    	// .done(function(data) {
    	// 	ts = data
    	// 	$('#ts').html(ts)
     //        $('#tsv').val(ts)

    	// 	console.log(data);
    	// })
    	$.ajax({
    		url: '{{ url('get_contract_tonnage') }}',
    		type: 'post',
    		data: { contract_id: contract_id, fac_id: fac_id },
    		success: function(data){
    			data = JSON.parse(data)
    			var contract_tonnage = data.contract_tonnage;
    			ct = contract_tonnage
    			$('#tg').html(ct)
    			$('#tgv').val(ct)
    			if (data.basis != 1) {
    				// console.log(data.basis)
    				$('.bl').hide()
    			}
    			if(data.basis == 1){
    				$('.bl').show()
    			}

    			console.log(data);
    		}
    	});
    	$.ajax({
    		url: '{{ url('get_tonnage_shipped') }}',
    		type: 'post',
    		data: { contract_id: contract_id,  },
    		success: function(data){
    			ts = data
    			$('#ts').html(ts)
    			$('#tsv').val(ts)

    			console.log(data);
    		}
    	});
    	
    	

    });

    $('#tonnage_shipped').on('input',function(event) {
    	value = $(this).val();
    	tgv = $('#tgv').val();
    	tsv = $('#tsv').val();

    	tr = tgv - tsv;

    	max_value = tr;

    	if ((value !== '') && (value.indexOf('.') === -1)) {

    		$(this).val(Math.max(Math.min(value, max_value), -max_value));

    	}


    });

    $('#verify_submit').click(function(event) {
    	tonnage_shipped = $('#tonnage_shipped').val();
    	//
    	//return false;
    	if (tonnage_shipped == 0 || tonnage_shipped =='' ) {
    		alert('tonnage shipped cannot be ZERO or NULL. Kindly check whether the contract has been shipped already');
    		return false;

    	}
    	else
    		return true;
    });

    $('#myFormId').submit(function(){
    	$("#verify_submit", this)
    	.html("Please Wait...")
    	.attr('disabled', 'disabled');
    	return true;
    });
    
    
})
</script>
@endsection

