@extends('admin.layout.app')

@section('more-head')
<link rel="stylesheet" type="text/css" href="{{asset('admin/bower_components/select2/dist/css/select2.min.css')}}">
<link rel="stylesheet" href="{{asset('admin/dist/css/AdminLTE.min.css')}}">
@endsection

@section('main-content')

<section class="content-header">
	<h1>
		Application for Collection
	</h1>

</section>

<section class="content">

	<!-- Default box -->
	<div class="box">
		<div class="box-header with-border">
			<h3 class="box-title">Collection</h3>

			<div class="box-tools pull-right">
				<button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip"
				title="Collapse">
				<i class="fa fa-minus"></i></button>

			</div>
		</div>
		 @include('includes.messages')
		<form role="form" method="post" action="{{ route('store.collection',$shipment) }}" enctype="multipart/form-data">
		{{csrf_field()}} 
		<div class="box-body">
			<div class="col-md-12">
				<table class="table">
					<tr>
						<th>Date of Draft</th>
						<th>Draft No.</th>
						<th>Drawer</th>
						<th>Drawee</th>
						<th>Amount</th>
						<th>Contract No.</th>
						<th>Contract Date</th>
						<th>Quantity</th>
						<th>Carrying Vessel</th>
						<th>Destination</th>
					</tr>
					<tr>
						<td>{{$shipment->invoice_date}}</td>
						<td></td>
						<td>{{$shipment->consignor->name}}</td>
						<td>{{$shipment->contract->consignee->name}}</td>
						<td>{{$shipment->invoice_detail->bank_gross}} - {{optional($shipment->contract->sales_advice->base)->name}} <br> {{$shipment->invoice_detail->payable_handling_charge}} </td>
						<td>{{$shipment->contract->number}}</td>
						<td>{{$shipment->contract->contract_date}}</td>
						<td>{{$shipment->tonnage_shipped}}</td>
						<td>{{$shipment->vessel->name}}</td>
						<td>{{$shipment->contract->destinationport->name}}</td>
						

					</tr>
				</table>
			</div>
			<div class=" col-md-offset-0 col-md-6">
				<div class="col-md-8">
					<br>
					<label for="collection_date"> Collection date</label>
					<div class="form-group">
						<input type="date" class="form-control" name="collection_date" id="invoice_date" required>
					</div>

				</div>
				<div class="form-group">
				 <div class="col-md-8">
					<label for="com_inv" class="col-md-4 control-label"><br>Com Inv. :</label>
						<select id="com_inv" class="form-control select2" data-placeholder="com_inv"
						style="width: 100%;" name="com_inv">
						<option value="">N/A</option>
						<option value="1+3">1+3</option>
					</select> 
				</div>
			</div>
			<div class="form-group">
				 <div class="col-md-8">
					<label for="cons_cust_inv" class="col-md-4 control-label"><br>cons_cust_inv. :</label>
						<select id="cons_cust_inv" class="form-control select2" data-placeholder="cons_cust_inv"
						style="width: 100%;" name="cons_cust_inv">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>

			<div class="form-group">
				 <div class="col-md-8">
					<label for="gsp_cert" class="col-md-4 control-label"><br>gsp_cert. :</label>
						<select id="gsp_cert" class="form-control select2" data-placeholder="gsp_cert"
						style="width: 100%;" name="gsp_cert">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>

				<div class="form-group">
				 <div class="col-md-8">
					<label for="csp_cert" class="col-md-4 control-label"><br>csp_cert. :</label>
						<select id="csp_cert" class="form-control select2" data-placeholder="csp_cert"
						style="width: 100%;" name="csp_cert">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>
				<div class="form-group">
				 <div class="col-md-8">
					<label for="eur1_cert" class="col-md-4 control-label"><br>eur1_cert. :</label>
						<select id="eur1_cert" class="form-control select2" data-placeholder="eur1_cert"
						style="width: 100%;" name="eur1_cert">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>

			<div class="form-group">
				 <div class="col-md-8">
					<label for="form_cu_119" class="col-md-4 control-label"><br>form_cu_119. :</label>
						<select id="form_cu_119" class="form-control select2" data-placeholder="form_cu_119"
						style="width: 100%;" name="form_cu_119">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>

				<div class="form-group">
				 <div class="col-md-8">
					<label for="ins_pol_cert" class="col-md-4 control-label"><br>ins_pol_cert. :</label>
						<select id="ins_pol_cert" class="form-control select2" data-placeholder="ins_pol_cert"
						style="width: 100%;" name="ins_pol_cert">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>

				<div class="form-group">
				 <div class="col-md-8">
					<label for="cert_of_origin" class="col-md-4 control-label"><br>cert_of_origin. :</label>
						<select id="cert_of_origin" class="form-control select2" data-placeholder="cert_of_origin"
						style="width: 100%;" name="cert_of_origin">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>
				<div class="form-group">
				 <div class="col-md-8">
					<label for="purity_cert" class="col-md-4 control-label"><br>purity_cert. :</label>
						<select id="purity_cert" class="form-control select2" data-placeholder="purity_cert"
						style="width: 100%;" name="purity_cert">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>
				<div class="form-group">
				 <div class="col-md-8">
					<label for="w_and_m_cert" class="col-md-4 control-label"><br>w_and_m_cert. :</label>
						<select id="w_and_m_cert" class="form-control select2" data-placeholder="w_and_m_cert"
						style="width: 100%;" name="w_and_m_cert">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>

			<div class="form-group">
				 <div class="col-md-8">
					<label for="fum_cert" class="col-md-4 control-label"><br>fum_cert. :</label>
						<select id="fum_cert" class="form-control select2" data-placeholder="fum_cert"
						style="width: 100%;" name="fum_cert">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>

		</div>


		<div class="col-md-6">
			
				
				<div class="form-group">
				 <div class="col-md-8">
					<label for="copy_of_cable" class="col-md-4 control-label"><br>copy_of_cable. :</label>
						<select id="copy_of_cable" class="form-control select2" data-placeholder="copy_of_cable"
						style="width: 100%;" name="copy_of_cable">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>
				<div class="form-group">
				 <div class="col-md-8">
					<label for="phyto_cert" class="col-md-4 control-label"><br>phyto_cert. :</label>
						<select id="phyto_cert" class="form-control select2" data-placeholder="phyto_cert"
						style="width: 100%;" name="phyto_cert">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>
				<div class="form-group">
				 <div class="col-md-8">
					<label for="sgs_cert" class="col-md-4 control-label"><br>sgs_cert. :</label>
						<select id="sgs_cert" class="form-control select2" data-placeholder="sgs_cert"
						style="width: 100%;" name="sgs_cert">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>
				<div class="form-group">
				 <div class="col-md-8">
					<label for="ico_cert_of_origin" class="col-md-4 control-label"><br>ico_cert_of_origin. :</label>
						<select id="ico_cert_of_origin" class="form-control select2" data-placeholder="ico_cert_of_origin"
						style="width: 100%;" name="ico_cert_of_origin">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>
			<div class="form-group">
				 <div class="col-md-8">
					<label for="bl_no" class="col-md-4 control-label"><br>bl_no. :</label>
						<select id="bl_no" class="form-control select2" data-placeholder="bl_no"
						style="width: 100%;" name="bl_no">
						<option value="">N/A</option>
						<option value="1/3">1/3</option>
						<option value="2/3">2/3</option>
						<option value="3/3">3/3</option>
						
					</select> 
				</div>
			</div>
				<div class="form-group">
				 <div class="col-md-8">
					<label for="analysis_cert" class="col-md-4 control-label"><br>analysis_cert. :</label>
						<select id="analysis_cert" class="form-control select2" data-placeholder="analysis_cert"
						style="width: 100%;" name="analysis_cert">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>
				<div class="form-group">
				 <div class="col-md-8">
					<label for="packng_list" class="col-md-4 control-label"><br>packng_list. :</label>
						<select id="packng_list" class="form-control select2" data-placeholder="packng_list"
						style="width: 100%;" name="packng_list">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>

			<div class="form-group">
				 <div class="col-md-8">
					<label for="qty_cert" class="col-md-4 control-label"><br>qty_cert. :</label>
						<select id="qty_cert" class="form-control select2" data-placeholder="qty_cert"
						style="width: 100%;" name="qty_cert">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>
				<div class="form-group">
				 <div class="col-md-8">
					<label for="indm_letter" class="col-md-4 control-label"><br>indm_letter. :</label>
						<select id="indm_letter" class="form-control select2" data-placeholder="indm_letter"
						style="width: 100%;" name="indm_letter">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select> 
				</div>
			</div>
				<div class="form-group">
				 <div class="col-md-8">
					<label for="non_w" class="col-md-4 control-label"><br>non_wooden. :</label>
						<select id="non_w" class="form-control select2" data-placeholder="non_w"
						style="width: 100%;" name="non_w">
						<option value="">N/A</option>
						<option value="1">1</option>
						<option value="2">2</option>
						<option value="3">3</option>
						
					</select>
					<br><br> 
				</div>
			</div>
				
				<div class="col-md-8">
					<div class="form-group">
						<label for="a2_form_no"> a2_form_no</label>
						<input type="text" class="form-control" id="a2_form_no" name="a2_form_no" placeholder="a2_form_no  ">
					</div>

				</div>
         @php
         	$consignee_banks = $shipment->contract->consignee->consignee_banks;
         @endphp
				<div class="form-group">
				 <div class="col-md-8">
					<label for="consignee_bank_id" class="col-md-4 control-label"><br>Drawee's Bank. :</label>
						<select id="consignee_bank_id" class="form-control select2" data-placeholder="consignee_bank_id"
						style="width: 100%;" name="consignee_bank_id">
						<option value="">N/A</option>
						@foreach ($consignee_banks as $consignee_bank)
							<option value="{{$consignee_bank_id}}">{{$consignee_bank->bank_name}}, {{$consignee_bank->bank_acct_no}}</option>
						@endforeach
						
					</select>
					<br><br> 
				</div>
				<input type="hidden" name="consignee_id" value="{{$shipment->contract->sales_advice->consignee->id}}">
			</div>

		</div>
		<div class="col-md-12">
       <hr> 
					<div class="col-md-8">
									<div class="checkbox">
		                  <label>
		                    <input type="checkbox" name="dv_documentary_collection" value="1"> DELIVER DOCUMENTS AGAINST PAYMENT IN LONDON VIA DOCUMENTARY COLLECTION 
		                  </label>
		                </div>
		                <br>
		                <div class="checkbox">
		                  <label>
		                    <input type="checkbox" name="charges_from_drawee" value="1"> CHARGES TO BE COLLECTED FROM DRAWEE
		                  </label>
		                </div>
		                <br>
		                <div class="checkbox">
		                  <label>
		                    <input type="checkbox" name="notify_by_cable_with_reasons" value="1"> NOTIFY US BY CABLE WITH REASONS
		                  </label>
		                </div>
		                <br>
		                <div class="checkbox">
		                  <label>
		                    <input type="checkbox" name="hold_draft_protested_until_fi" value="1"> HOLD DRAFT PROTESTED UNTIL FURTHER INSTRUCTION
		                  </label>
		                </div>
					</div>
	</div>


				
			
		</div>
				
			<!-- /.box-body -->
			<div class="box-footer">
				<button type="submit" id="verify_submit" class="btn btn-primary">Submit</button>
			</div>
		</form>
		<!-- /.box-footer-->
	</div>
	<!-- /.box -->

</section>

@endsection

@section('more-scripts')
   <!-- Select2 -->
<script src="{{asset('admin/bower_components/select2/dist/js/select2.full.min.js')}}"></script>

<script>
  $(function () {
    //alert('hello world');
   
    $('.select2').select2()
    
  })
</script>
@endsection

