@extends('admin.layout.app')

@section('more-head')
<link rel="stylesheet" type="text/css" href="{{asset('admin/bower_components/select2/dist/css/select2.min.css')}}">
<link rel="stylesheet" href="{{asset('admin/dist/css/AdminLTE.min.css')}}">
@endsection

@section('main-content')

<section class="content-header">
	<h1>
		Shipment  
	</h1>

</section>

<section class="content">

	<!-- Default box -->
	<div class="box">
		<div class="box-header with-border">
			<h3 class="box-title">Shipment  </h3>

			<div class="box-tools pull-right">
				<button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip"
				title="Collapse">
				<i class="fa fa-minus"></i></button>

			</div>
		</div>
		@include('includes.messages')
		<form role="form" method="post" action="{{ route('multi.invoice.update',$shipment) }}" enctype="multipart/form-data" id="myFormId">
			{{csrf_field()}}
			<div class="box-body">
				<div class=" col-md-offset-0 col-md-6">

				<!--<div class="col-md-8">
					<div class="form-group">
						<label for="invoice_number"> Invoice number</label>
						<input type="text" class="form-control" id="invoice_number" name="invoice_number" placeholder="shipment  ">
					</div>

				</div> -->
				<div class="col-md-8">
					<div class="form-group">
						<label for="gc_number"> GC Number</label>
						<input type="text" class="form-control" id="gc_number" name="gc_number" value="{{$shipment->gc_number}}" placeholder="GC Number">
					</div>

				</div> 
				<div class="col-md-8">
					<br>
					<label for="invoice_date"> Invoice date</label>
					<div class="form-group">
						<input type="date" class="form-control" name="invoice_date" value="{{$shipment->invoice_date}}" id="invoice_date">
					</div>

				</div>
				<div class="col-md-8">
					<div class="form-group">
						<label for="insurance_number"> Insurance Number</label>
						<input type="text" class="form-control" id="insurance_number" name="insurance_number" value="{{$shipment->insurance_number}}" placeholder="shipment  ">
					</div>

				</div>

				

				<div class="col-md-8">
					<div class="form-group">
						<label for="bl_rate"> Freight Exchange Rate</label>
						<input type="number" step="0.0001" class="form-control" id="bl_rate" name="bl_rate" value="{{$shipment->bl_rate}}" placeholder="shipment  bl_rate ">
					</div>

				</div>

				<div class="form-group">
					<div class="col-md-8">
						<label for="vessel_id" class="col-md-4 control-label"><br>Select vessel:</label>
						<select id="vessel_id" class="form-control select2" data-placeholder="Select Roles"
						style="width: 100%;" name="vessel_id">
						@foreach ($vessels as $vessel)
						<option value="{{$vessel->id}}" @if($shipment->vessel_id == $vessel->id) selected @endif>{{$vessel->name}}</option>
						@endforeach

					</select>
				</div>
			</div>
			
			<div class="col-md-8">
				<div class="form-group">
					<label for="bill_of_laden_number"> <br> Bill of Laden number</label>
					<input type="text" class="form-control" id="bill_of_laden_number" name="bill_of_laden_number" value="{{$shipment->bill_of_laden_number}}" placeholder="shipment  bill_of_laden_number">
				</div>

			</div>

			<div class="col-md-8">
				<label for="bill_of_laden_date"> Bill of Laden Date</label>
				<div class="form-group">
					<input type="date" class="form-control" name="bill_of_laden_date" value="{{$shipment->bill_of_laden_date}}" id="bill_of_laden_date">
				</div>

			</div>

			<div class="form-group">
				<div class="col-md-8">
					<label for="loadingport_id" class="col-md-4 control-label"><br>Select Loading Port:</label>
					<select id="loadingport_id" class="form-control select2" data-placeholder="Select Roles"
					style="width: 100%;" name="loadingport_id">
					@foreach ($loadingports as $loadingport)
					<option value="{{$loadingport->id}}"  @if($shipment->loadingport_id == $loadingport->id) selected @endif >{{$loadingport->name}}</option>
					@endforeach

				</select>
			</div>
		</div>



		<div class="form-group">
			<div class="col-md-8">
				<label for="consignor_id" class="col-md-4 control-label"> <br> Select Consignor</label>
				<select id="consignor_id" class="form-control select2" data-placeholder="Select Roles"
				style="width: 100%;" name="consignor_id">
				@foreach ($consignors as $consignor)
				<option value="{{$consignor->id}}" @if($shipment->consignor_id == $consignor->id) selected @endif>{{$consignor->name}}</option>
				@endforeach

			</select>
		</div>
	</div>

	<div class="col-md-8">
		<label for="name"> Remarks</label>
		<div class="form-group">
			<textarea class="form-control" name="remarks" id="remarks" style="height: 100px;" ></textarea>
		</div>

	</div>
	<div class="col-md-8">
		<label for="name"> Additional Remarks</label>
		<div class="form-group">
			<textarea class="form-control" name="additional_remarks" id="additional_remarks" style="height: 100px;" ></textarea>
		</div>

	</div>

	<div class="form-group">
		<div class="col-md-8">
			<label for="warehouse_charges" class="col-md-4 control-label"><br>Applicable Warehouse Charges:</label>
			<select id="warehouse_charges" class="form-control select2" data-placeholder="Select Roles"
			style="width: 100%;" name="warehouse_charges">
			<option value="no" selected>No</option>
			<option value="yes">Yes</option>
		</select>
	</div>
</div>


</div>
</div>

<!-- /.box-body -->
<div class="box-footer">
	<button type="submit" id="verify_submit" class="btn btn-primary">Submit</button>
</div>
</form>
<!-- /.box-footer-->
</div>
<!-- /.box -->

</section>

@endsection

@section('more-scripts')
<!-- Select2 -->
<script src="{{asset('admin/bower_components/select2/dist/js/select2.full.min.js')}}"></script>

<script>
	$(function () {
    //alert('hello world');

    $('.select2').select2()

    $('#myFormId').submit(function(){
    	$("#verify_submit", this)
    	.html("Please Wait...")
    	.attr('disabled', 'disabled');
    	return true;
    });
    
  })
</script>
@endsection

