@extends('admin.layout.app')

@section('more-head')
<link rel="stylesheet" type="text/css" href="{{asset('admin/bower_components/select2/dist/css/select2.min.css')}}">
<link rel="stylesheet" href="{{asset('admin/dist/css/AdminLTE.min.css')}}">
@endsection

@section('main-content')

<section class="content-header">
	<h1>
		OPERATIONS MANAGEMENT SYSTEM
		
	</h1>

</section>

<section class="content">

	<!-- Default box -->
	<div class="box">
		<div class="box-header with-border">
			<h3 class="box-title">Add Contract Details:  </h3>

			<div class="box-tools pull-right">
				<button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip"
				title="Collapse">
				<i class="fa fa-minus"></i></button>

			</div>
		</div>
		 @include('includes.messages')
		<form role="form" method="post" action="{{ route('multi.contracts.store',$shipment) }}" enctype="multipart/form-data">
		{{csrf_field()}}
		<div class="box-body">
			<div class=" col-md-offset-1 col-md-6">
				<div class="col-md-8">
					<div class="form-group">
						<label for="fac_id"> Select Contract:</label>
						<select style="width: 100%;" name="fac_id" id="fac_id" class="form-control select2">
							<option value="" selected disabled required>Select Contract:</option>
							@foreach ($facs as $fac)
							<option value="{{$fac->id}}" >{{$fac->contract->number}}</option>
							@endforeach
						</select>
						<br> <br>
					</div>
					
					<div class="form-group">
						<label for="tonnage_shipped"> Tonnage Shipped: <span style="color:red; font-weight:bolder;">Total Tonnage Assigned: {{number_format($shipment->multi_contracts->sum('tonnage_shipped'),2)}}</span> </label>
						<input type="number" class="form-control" id="tonnage_shipped" min="0" name="tonnage_shipped" placeholder="tonnage_shipped"  required>
						<input type="hidden" name="fac_tonnage" id="fac_tonnage" value="{{$shipment->multi_contracts->sum('tonnage_shipped')}}">
					</div>


						
						
					</div>

				</div>
			</div>
				
			<!-- /.box-body -->
			<div class="box-footer">
				<button type="submit" id="verify_submit" class="btn btn-primary">Submit</button>
			</div>
		</form>
		<!-- /.box-footer-->
	</div>
	<!-- /.box -->

</section>

@endsection



@section('more-scripts')
	<script src="{{asset('admin/bower_components/datatables.net/js/jquery.dataTables.min.js')}}"></script>
    <script src="{{asset('admin/bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js')}}"></script>
    <script src="{{asset('admin/bower_components/select2/dist/js/select2.full.min.js')}}"></script>
 <script>
  $(function () {
   
    $('.select2').select2();
    $('#tonnage_shipped1').on('input',function(event) {
    		  value = $('#tonnage_shipped').val();
  				
    		  tr = $('#fac_tonnage').val();
    		  excess = parseInt(tr);
    		  
    		max_value = tr;
    		
    		if ((value !== '') && (value.indexOf('.') === -1)) {
        
        		$(this).val(Math.max(Math.min(value, max_value), -max_value));

   			 }


    	});

/*
     $('#verify_submit').click(function(event) {
    	tonnage_shipped = $('#tonnage_shipped').val();
    	//
    	//return false;
    	if (tonnage_shipped == 0 || tonnage_shipped =='' ) {
    		alert('Number of bags on the  waybill has been fully faced!!');
    		return false;

    	}
    	else
    		return true;
    }); 
    */
    
   
  })
</script>

@endsection


