@extends('admin.layout.app')

@section('more-head')
	<link rel="stylesheet" href="{{asset('admin/bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css')}}">
@endsection

@section('main-content')
<section class="content-header">
	<h1>
		contract
	</h1>

</section>

<section class="content">

	<!-- Default box -->
	<div class="box">
		<div class="box-header with-border">
			<h3 class="box-title">contract</h3>
        
			<div class="box-tools pull-right">
				<button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip"
				title="Collapse">
				<i class="fa fa-minus"></i></button>

			</div>
		</div>
		
			<div class="box-body table-responsive">
			   <table id="example1" class="table table-bordered table-striped">
                <thead>
                <tr>
                  <th>No.</th>
                  <th>contract Number</th>
                  <th>contract Date</th>
                  <th>Consignee</th>
                  <th> MK Number</th>
                  <th>Tonnage</th>
                  <th>Destination Port</th>
                  <th>Country </th>
                  <th>UK CIF Price ($)</th>
                  <!--<th> C & I</th>-->
                  <th>Freight Charge (£) </th>
                  <th>Exchange Rate <br> declared </th>
                  <th>Date Declared </th>
                  <th>Crop </th>
                  <th>Shipping Mode </th>
                  <th>Type of loan </th>
                  <th>Shiping mode </th>
                  <th>Season </th>
                  @can('view.draft.invoice', Auth::user())
                  <th>View Invoices</th>
                  @endcan
                </tr>
                </thead>
                <tbody>

                @foreach ($contracts as $contract)
                <tr>
                	<td>{{$loop->index + 1}}</td>
                	<td>{{$contract->number}}</td>
                	<td>{{date("d - M - Y", strtotime($contract->contract_date))}}</td>
                  <td>{{$contract->consignee['name']}}</td>
                  <td>{{$contract->mk_number}}</td>
                  <td>{{$contract->tonnage}}</td>
                  <td>{{$contract->destinationport['name']}}</td>
                  <td>{{$contract->country['name']}}</td>
                  <td>{{$contract->uk_cif_price}}</td>
                  <!--<td>{{--$contract->c_and_i--}}</td>-->
                  <td>{{$contract->freight_charge}}</td>
                  <td>{{$contract->exchangerate_declared}} </td>
                  <td>{{date("d - M - Y", strtotime($contract->date_declared))}}</td>
                  <td>{{$contract->crop['name']}}</td>
                  <td>{{$contract->shipping_period}}</td>
                	<td>{{$contract->type_of_loan}}</td>
                  <td>{{$contract->shippingmode['name']}}</td>
                  <td>{{$contract->season['crop_year']}}</td>

                  @can('view.draft.invoice', Auth::user())
                   <td><a href="{{ route('parts_shipment_reports',$contract) }}" class="btn btn-info">View Invoice Details</a></td>
                   @endcan

			             
                	
                </tr>
                @endforeach
                
                </tbody>
                <tfoot>
                <tr>
                  <th>No.</th>
                  <th>contract Number</th>
                  <th>contract Date</th>
                  <th>Consignee</th>
                  <th> MK Number</th>
                  <th>Tonnage</th>
                  <th>Destination Port</th>
                  <th>Country </th>
                  <th>UK CIF Price ($)</th>
                  <!--<th> C & I</th>-->
                  <th>Freight Charge (£)</th>
                  <th>Exchange Rate <br> declared </th>
                  <th>Date Declared </th>
                  <th>Crop </th>
                  <th>Shipping Mode </th>
                  <th>Type of loan </th>
                  <th>Shiping mode </th>
                  <th>Season </th>

                  @can('view.draft.invoice', Auth::user())
                  <th>View Invoices</th>
                  @endcan
                  
                </tr>
                </tfoot>
              </table>
				
             </div>
				
			<!-- /.box-body -->
			<div class="box-footer">
				
			</div>
	
		
	</div>
	<!-- /.box -->

</section>

@endsection

@section('more-scripts')
	<script src="{{asset('admin/bower_components/datatables.net/js/jquery.dataTables.min.js')}}"></script>
    <script src="{{asset('admin/bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js')}}"></script>
    <script>
  $(function () {
    $('#example1').DataTable()
    $('#example2').DataTable({
      'paging'      : true,
      'lengthChange': false,
      'searching'   : false,
      'ordering'    : true,
      'info'        : true,
      'autoWidth'   : false
    })
  })
</script>

@endsection