@extends('admin.layout.app')

@section('more-head')
  <link rel="stylesheet" href="{{asset('admin/bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css')}}">
@endsection

@section('main-content')
<section class="content-header">
  <h1>
    shipment
  </h1>

</section>

<section class="content">

  <!-- Default box -->
  <div class="box">
    <div class="box-header with-border">
      <h3 class="box-title">shipment</h3>
        
           
      <div class="box-tools pull-right">
        <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip"
        title="Collapse">
        <i class="fa fa-minus"></i></button>

      </div>
    </div>
    
      <div class="box-body table-responsive">
         <table id="example1" class="table table-bordered table-striped">
                <thead>
                <tr>
                  <th>No.</th>
                  <th>Contract Number</th>
                  <!--<th>Invoice Number</th>
                  <th>Reference Number</th>-->
                  <th>Insurance Number</th>
                  <th>Invoice Date</th>
                  <th>Tonnage Shipped</th>
                  <th> Insurance Number</th>
                  <th>Bill of Laden <br> Rate </th>
                  <th>Vessel</th>
                  <th>Mode of Shipment </th>
                  <th>Bill of Laden Number</th>
                  <th> Bill of Laden Date</th>
                  <th>Loading Port</th>
                  <th>Consignor </th>
                  <th>Prepared By </th> 
                  <th>Supervised By </th>
                  <th>Draft Invoice</th>
                  
                </tr>
                </thead>
                <tbody>

                @foreach ($shipments as $shipment)
                <tr>
                  <td>{{$loop->index + 1}}.</td>
                  <td>{{$shipment->contract['number']}}</td>
                  <!--<td>{{--$shipment->invoice_number}}</td>
                  <td>{{$shipment->reference_number--}}</td>-->
                  <td>{{$shipment->insurance_number}}</td>
                  <td>{{date("d - M - Y", strtotime($shipment->invoice_date))}}</td>
                  <td>{{$shipment->tonnage_shipped}}</td>
                  <td>{{$shipment->insurance_number}}</td>
                  <td>{{$shipment->bl_rate}}</td>
                  <td>{{$shipment->vessel['name']}}</td>
                  <td>{{$shipment->shippingmode['name']}}</td>
                  <td>{{$shipment->bill_of_laden_number}}</td>
                  <td>{{date("d - M - Y", strtotime($shipment->bill_of_laden_date))}} </td>
                  <td>{{$shipment->loadinGport['name']}}</td>
                  <td>{{$shipment->consignor['name']}}</td>
                  <td>
                        @foreach ($users as $user)
                          @if ($user->id == $shipment->user_id)
                            {{$user->username}}
                          @endif
                        @endforeach
                  </td>
                  <td>
                        @foreach ($users as $user)
                          @if ($user->id == $shipment->supervisor_id)
                            {{$user->username}}
                          @endif
                        @endforeach
                  </td>
                  <td><a target="_blank" href="{{ route('get.invoice',$shipment) }}" class="btn btn-warning">View Invoice</a></td>
                 
                </tr>
                @endforeach
                
                </tbody>
                <tfoot>
                <tr>
                  <th>No.</th>
                  <th>Contract Number</th>
                  <th>Insurance Number</th>
                  <th>Invoice Date</th>
                  <th>Tonnage Shipped</th>
                  <th> Insurance Number</th>
                  <th>Bill of Laden <br> Rate </th>
                  <th>Vessel</th>
                  <th>Mode of Shipment </th>
                  <th>Bill of Laden Number</th>
                  <th> Bill of Laden Date</th>
                  <th>Loading Port</th>
                  <th>Consignor </th>
                  <th>Prepared By </th> 
                  <th>Supervised By </th>
                  <th>Draft Invoice</th>
                  
                </tr>
                </tfoot>
              </table>
        
             </div>
        
      <!-- /.box-body -->
      <div class="box-footer">
        
      </div>
  
    
  </div>
  <!-- /.box -->

</section>

@endsection

@section('more-scripts')
  <script src="{{asset('admin/bower_components/datatables.net/js/jquery.dataTables.min.js')}}"></script>
    <script src="{{asset('admin/bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js')}}"></script>
    <script>
  $(function () {
    $('#example1').DataTable()
    $('#example2').DataTable({
      'paging'      : true,
      'lengthChange': false,
      'searching'   : false,
      'ordering'    : true,
      'info'        : true,
      'autoWidth'   : false
    })
  })
</script>

@endsection