@extends('admin.layout.app')

@section('more-head')
<link rel="stylesheet" href="{{asset('admin/bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css')}}">
@endsection

@section('main-content')
<section class="content-header">
	<h1>
		shipment
	</h1>

</section>

<section class="content">

	<!-- Default box -->
	<div class="box">
		<div class="box-header with-border">
			<h3 class="box-title">shipment</h3>
      
     
     
			<div class="box-tools pull-right">
				<button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip"
				title="Collapse">
				<i class="fa fa-minus"></i></button>

			</div>
		</div>
		
   <div class="box-body table-responsive">
    <table id="example1" class="table table-bordered table-striped">
      <thead>
        <tr>
          <th>No.</th>
          <th>Contract Number</th>
                  <!--<th>Invoice Number</th>
                    <th>Reference Number</th>-->
                    <th>Insurance Number</th>
                    <th>Invoice Date</th>
                    <th>Tonnage Shipped</th>
                    <th>Freight Exchange <br> Rate </th>
                    <th>Vessel</th>
                    <th>Mode of Shipment </th>
                    <th>Bill of Laden Number</th>
                    <th> Bill of Laden Date</th>
                    <th>Loading Port</th>
                    <th>Insurance Premium</th>
                    <th>Prepared By </th>

                    @can('edit.invoice', Auth::user())
                    <th>EDIT</th>
                    @endcan

                    @can('delete.invoice', Auth::user())
                    <th>DELETE</th>
                    @endcan
                    
                    @can('view.draft.invoice', Auth::user())
                    <th>Preview Draft Invoice</th>
                    @endcan

                    @can('approve.invoice', Auth::user())
                    <th>Approve</th>
                    @endcan

                    @can('disapprove.invoice', Auth::user())
                    <th>Disapprove</th>
                    @endcan

                    
                  </tr>
                </thead>
                <tbody>

                  @foreach ($shipments as $shipment)
                  <tr>
                   <td>{{$loop->index + 1}}.</td>
                   <td>{{$shipment->contract['number']}}</td>
                	<!--<td>{{--$shipment->invoice_number}}</td>
                    <td>{{$shipment->reference_number--}}</td>-->
                    <td>{{$shipment->insurance_number}}</td>
                    <td>{{date("d - M - Y", strtotime($shipment->invoice_date))}}</td>
                    <td>{{$shipment->tonnage_shipped}}</td>
                    <td>{{$shipment->bl_rate}}</td>
                    <td>{{$shipment->vessel['name']}}</td>
                    <td>{{$shipment->shippingmode['name']}}</td>
                    <td>{{$shipment->bill_of_laden_number}}</td>
                    <td>{{date("d - M - Y", strtotime($shipment->bill_of_laden_date))}} </td>
                    <td>{{$shipment->loadinGport['name']}}</td>
                    <td style="color: green; font-weight: bolder;">
                      @if ($shipment->invoice_detail['insurance_premium'] != NULL)
                      US ${{number_format($shipment->invoice_detail['insurance_premium'],2)}}
                      

                      @endif
                    </td>
                    
                    <td>
                      @foreach ($users as $user)
                      @if ($user->id == $shipment->user_id)
                      {{$user->username}}
                      @endif
                      @endforeach
                    </td>

                    
                    @can('edit.invoice', Auth::user())
                    <td><a href="{{ route('shipment.edit',$shipment) }}" class="btn btn-primary">EDIT</a></td>
                    @endcan

                    @can('delete.invoice', Auth::user())
                    <td><form style="display: none;" id="form-data-{{$shipment->id}}" action="{{ route('shipment.destroy',$shipment) }}" method="post">{{csrf_field()}} {{method_field('DELETE')}}</form><button class="btn btn-danger" onclick="if(confirm('wanna delete?')){event.preventDefault(); document.getElementById('form-data-{{$shipment->id}}').submit();} else{ event.preventDefault();}">DELETE</button></td>
                    @endcan
                    
                    @can('view.draft.invoice', Auth::user())
                    <td><a target="_blank" href="{{ route('get.invoice',$shipment) }}" class="btn btn-warning" onclick="window.location.reload();">Preview Invoice</a></td>
                    @endcan
                    
                    @can('approve.invoice', Auth::user())
                    <td> {{csrf_field()}} <input type="hidden" id="ship_id_a{{$shipment->id}}" name="shipment_id" value="{{$shipment->id}}"> 

                      <a  href="" class="btn btn-success sup" id="ap_bu_{{$shipment->id}}" onclick=" 
                      event.preventDefault();
                      var ship_id = $('#ship_id_a{{$shipment->id}}').val();
                      var token = $('input[name=_token]').val();
                  //alert(ship_id);
                  $.ajax({
                    url:  '{{URL::to('/approve/shipement')}}',
                    type: 'PUT',
                    data: {ship_id : ship_id,  '_token': $('input[name=_token]').val()}
                  })
                  .done(function(data) {
                    console.log(data);
                    $('#dp_bu_{{$shipment->id}}').attr('disabled', true);
                    window.location.reload();
                  })
                  
                  
                  ">Approve</a></td>
                  @endcan

                  @can('disapprove.invoice', Auth::user())
                  <td> {{csrf_field()}} <input type="hidden" id="ship_id_d{{$shipment->id}}" name="shipment_id" value="{{$shipment->id}}"> 
                    <a  href="" class="btn btn-danger sup"  data-toggle="modal" data-target="#modal-default">Disapprove</a></td>
                    <div class="modal modal-default fade" id="modal-default">
                      <div class="modal-dialog">
                        <div class="modal-content">
                          <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                              <span aria-hidden="true">&times;</span></button>
                              <h4 class="modal-title">Reason for Disapproval</h4>
                            </div>
                            <div class="modal-body">
                              
                              
                              <div class="form-group">
                                <label for="item_no">REASON(S)</label>
                                <textarea class="form-control" name="disapproval_reason_{{$shipment->id}}" id="disapproval_reason_{{$shipment->id}}" cols="30" rows="10"></textarea>
                              </div>
                            </div>
                            <div class="modal-footer">
                              <button type="button" class="btn btn-danger pull-left" data-dismiss="modal">Close</button>
                              <button id="dp_bu_{{$shipment->id}}" type="button" class="btn btn-primary" 
                                onclick=" 
                                event.preventDefault();
                                var ship_id = $('#ship_id_d{{$shipment->id}}').val();
                                var disapproval_reason = $('#disapproval_reason_{{$shipment->id}}').val();
                                var token = $('input[name=_token]').val();
                                    //alert(ship_id);
                                    var disapprove_reason
                                    $.ajax({
                                      url:  '{{URL::to('/disapprove/shipement/')}}',
                                      type: 'PUT',
                                      data: {ship_id : ship_id, disapproval_reason : disapproval_reason,  '_token': $('input[name=_token]').val()}
                                    })
                                    .done(function(data) {
                                      console.log(data);
                                      //$('#dp_bu_{{--$shipment->id--}}').attr('disabled', true);
                                      $('#ap_bu_{{$shipment->id}}').attr('disabled', true);
                                      window.location.reload();
                                      
                                    })
                                    
                                    
                                    " >Add Reason</button>
                                  </div>
                                  {{csrf_field()}}
                                </div>
                                <!-- /.modal-content -->
                              </div>
                              <!-- /.modal-dialog -->
                            </div>
                            @endcan
                          </tr>
                          @endforeach
                          
                        </tbody>
                        <tfoot>
                          <tr>
                            <th>No.</th>
                            <th>Contract Number</th>
                            <th>Insurance Number</th>
                            <th>Invoice Date</th>
                            <th>Tonnage Shipped</th>
                            <th>Freight Exchange <br> Rate </th>
                            <th>Vessel</th>
                            <th>Mode of Shipment </th>
                            <th>Bill of Laden Number</th>
                            <th> Bill of Laden Date</th>
                            <th>Loading Port</th>
                            <th>Insurance Premium</th>
                            <th>Prepared By </th>
                            
                            @can('edit.invoice', Auth::user())
                            <th>EDIT</th>
                            @endcan

                            @can('delete.invoice', Auth::user())
                            <th>DELETE</th>
                            @endcan
                            
                            @can('view.draft.invoice', Auth::user())
                            <th>Preview Draft Invoice</th>
                            @endcan

                            @can('approve.invoice', Auth::user())
                            <th>Approve</th>
                            @endcan

                            @can('disapprove.invoice', Auth::user())
                            <th>Disapprove</th>
                            @endcan

                            
                          </tr>
                        </tfoot>
                      </table>
                      
                    </div>
                    
                    <!-- /.box-body -->
                    <div class="box-footer">
                      
                    </div>
                    
                    
                  </div>
                  <!-- /.box -->

                </section>

                @endsection

                @section('more-scripts')
                <script src="{{asset('admin/bower_components/datatables.net/js/jquery.dataTables.min.js')}}"></script>
                <script src="{{asset('admin/bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js')}}"></script>
                <script>
                  $(function () {
                    $('#example1').DataTable()
                    $('#example2').DataTable({
                      'paging'      : true,
                      'lengthChange': false,
                      'searching'   : false,
                      'ordering'    : true,
                      'info'        : true,
                      'autoWidth'   : false
                    })
                  })
                </script>

                @endsection